From ca100c8b9d98a90bf82d0b12d418e703ccc4208e Mon Sep 17 00:00:00 2001
From: ChangAo Chen <cca5507@qq.com>
Date: Thu, 10 Jul 2025 10:32:16 +0800
Subject: [PATCH v2] Small optimization with expanding dynamic hash table

---
 src/backend/utils/hash/dynahash.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/utils/hash/dynahash.c b/src/backend/utils/hash/dynahash.c
index 1ad155d446e..475da6add1c 100644
--- a/src/backend/utils/hash/dynahash.c
+++ b/src/backend/utils/hash/dynahash.c
@@ -1626,7 +1626,7 @@ expand_table(HTAB *hashp)
 		 currElement = nextElement)
 	{
 		nextElement = currElement->link;
-		if ((long) calc_bucket(hctl, currElement->hashvalue) == old_bucket)
+		if ((long) (currElement->hashvalue & hctl->high_mask) == old_bucket)
 		{
 			*oldlink = currElement;
 			oldlink = &currElement->link;
-- 
2.34.1

